Apache2Triad Help, Support and Development Forum Index Search Profile Log in to check your private messages Log in Register Memberlist Attachments Statistics Crew/Ranks Archive
 Microsoft Visual C++ Runtime Library Error R6034
Google
Post new topic Reply to topic
Author Message
bashton
 
 


Joined: 28 Feb 2006
Posts: 3

PostPosted: Tue Feb 28, 2006 1:23 pm Reply with quoteBack to top

Whenever I try and run any of the tools included with the new version (Mysqladmin, mysqlmonitor, SSLcert) I get an R6034 Runtime error.

An application has made an attempt to load the C runtime library incorrectly. Please contact the application's support team for more information

Perhaps it was the way these programs where compiled or am I missing something? Perhaps the applications are missing manifests.

Let me know if anyone has come across this before.

My install is as follows:

Windows 2003 Server Standard with 1.2 gig ram
xeon 3ghz
latest and greatest apache2triad

everything else is working great.
View user's profileSend private message
kmatthews812
 
 


Joined: 01 Mar 2006
Posts: 3

PostPosted: Wed Mar 01, 2006 3:56 am Reply with quoteBack to top

I am having the same exact problem. I'm surprised more people haven't had this problem as well. All I could find on the problem was the following:

"If you want openssl.exe to work you must copy the file httpd-2.2.0\srclib\openssl\out32dll\openssl.exe.manifest
to folder \Apache21\bin "

http://www.apachelounge.com/forum/viewtopic.php?t=103&sid=67b0a658aac40054868df45ef99c78aa

It looks like the manifests were not included in the build. I have tried reloading the .NET versions I have installed, and they are working fine.

How can we go about getting the compilation done correctly? Or am I just misunderstanding this problem?


Thanks,

Kev
View user's profileSend private message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Wed Mar 01, 2006 7:08 am Reply with quoteBack to top

apache2triad generates manifests on install via fixrun.pl , but this issues are not entirely related to them

note to windows 2000 users , you do not need this fix , kudos on the os version choice too

windows xp and 2003 users :

get iconv.rar extract to mysql/bin/ to fix mysql issue

move opssl\bin\libeay32.dll and ssleay32.dll to apache2triad\bin\
get opssl.rar extract to opssl/bin/
edit httpd.conf
Quote:
LoadFile opssl\bin\libeay32.dll
LoadFile opssl\bin\ssleay32.dll

to
Quote:
LoadFile bin\libeay32.dll
LoadFile bin\ssleay32.dll

to fix openssl issue

i will perform a silent update on the 1.x.4 releases to address this , if you do not want to manually fix get the new version next week

can see http://blog.vladalexa.com/2006/02/20/on-ms-vc-2005-reinventing-the-wheel/ for further understanding


Last edited by Vlad Alexa Mancini on Tue Jul 07, 2009 9:53 pm; edited 1 time in total
View user's profileSend private message
bashton
 
 


Joined: 28 Feb 2006
Posts: 3

PostPosted: Wed Mar 01, 2006 12:48 pm Reply with quoteBack to top

Ok, just did an fresh install of the monitor and admin from mysql website, they work fine. installed the openssl the way you suggested and its working fine!

Thanks for the quick fix.

keep up the great work!
View user's profileSend private message
kmatthews812
 
 


Joined: 01 Mar 2006
Posts: 3

PostPosted: Thu Mar 02, 2006 4:37 am Reply with quoteBack to top

I downloaded mysql 5.0.18 and openssl 0.9.8a and I could not find iconv.rar, or openssl.rar, respectively, in each distribution. Furthermore, I ran a search on my apache2triad installation and could not find either .rar file.

Where do I find the proper versions of iconv.rar and openssl.rar?


Thanks,

Kevin
View user's profileSend private message
bashton
 
 


Joined: 28 Feb 2006
Posts: 3

PostPosted: Thu Mar 02, 2006 10:58 am Reply with quoteBack to top

Kevin,

Log in and you will find them attached to the Vlad's post (hint: 3 post in this thread)

cheers.

Bash
View user's profileSend private message
kmatthews812
 
 


Joined: 01 Mar 2006
Posts: 3

PostPosted: Fri Mar 03, 2006 4:51 am Reply with quoteBack to top

Thanks everybody for your quick help!

Kevin
View user's profileSend private message
ROGENATOR
 
 


Joined: 03 Apr 2006
Posts: 1

PostPosted: Mon Apr 03, 2006 12:14 am Reply with quoteBack to top

Greetings:
I get the same error except they happen when trying to run a .php and it say`s something about the file \php_curl.dll
View user's profileSend private message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Mon Apr 03, 2006 8:43 am Reply with quoteBack to top

if "it say" something about curl_dll then it is not the same error , and you should have read/posted to http://apache2triad.net/forums/viewtopic.php?t=4002 not here
View user's profileSend private message
ttech5593
 
 


Joined: 25 Feb 2006
Posts: 9

PostPosted: Fri May 12, 2006 12:35 am Reply with quoteBack to top

Hi,
I recently upgraded to 1.5.4 and I can not use the Debug tool on a program I use called PHP Designer 2006. It worked on the old version I used but not oh the current one. I made a movie of the errors that happen when I click Debug. It can be found at http://www.mostlynothing.info/content/apache2triad_error/error.swf
. How do I fix this? Thanks...
View user's profileSend private message
dawg
support
support


Joined: 11 Apr 2004
Posts: 180

PostPosted: Fri May 12, 2006 12:40 am Reply with quoteBack to top

ttech5593 wrote:
Hi,
I recently upgraded to 1.5.4 and I can not use the Debug tool on a program I use called PHP Designer 2006. It worked on the old version I used but not oh the current one. I made a movie of the errors that happen when I click Debug. It can be found at http://www.mostlynothing.info/content/apache2triad_error/error.swf
. How do I fix this? Thanks...



Vlad Alexa Mancini wrote:
if "it say" something about curl_dll then it is not the same error , and you should have read/posted to http://apache2triad.net/forums/viewtopic.php?t=4002 not here


I believe Curl is disabled
View user's profileSend private message
mukeshhrs
 
 


Joined: 06 Feb 2006
Posts: 7

PostPosted: Mon Nov 06, 2006 11:11 am Reply with quoteBack to top

i am having same problem. mod_perl is located in modules but it refuses to load this. my upgraded apache version is 2.2.3
mukesh harsh
View user's profileSend private messageSend e-mail
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Thu Nov 09, 2006 5:23 pm Reply with quoteBack to top

your mod_perl is not loading because it or apache is needing a library , you need to get the msvc++ library version that mod perl/apache require from where you got apache/mod perl
View user's profileSend private message
ttech5593
 
 


Joined: 25 Feb 2006
Posts: 9

PostPosted: Sun Nov 12, 2006 6:56 pm Reply with quoteBack to top

dawg wrote:
ttech5593 wrote:
Hi,
I recently upgraded to 1.5.4 and I can not use the Debug tool on a program I use called PHP Designer 2006. It worked on the old version I used but not oh the current one. I made a movie of the errors that happen when I click Debug. It can be found at http://www.mostlynothing.info/content/apache2triad_error/error.swf
. How do I fix this? Thanks...



Vlad Alexa Mancini wrote:
if "it say" something about curl_dll then it is not the same error , and you should have read/posted to http://apache2triad.net/forums/viewtopic.php?t=4002 not here


I believe Curl is disabled


How do I enable it? Because I've search this forum twice and still everything I've tried has not helped.
View user's profileSend private message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Mon Nov 13, 2006 7:42 pm Reply with quoteBack to top

ttech , the php_curl extension is enabled by default , ignore dawg on this , he must have missunderstood

furthermore the errors you are getting stem from a incompatible php version , whatever php version was in the other apache2triad that worked with that debugger is compatible with it , the new php version in edge apache2triad is not

this seems unrelated to this thread to me, please start a new one next time
View user's profileSend private message
Display posts from previous:      
Post new topic Reply to topic


 Jump to:   



View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum
Powered by phpBB © 2001, 2002 phpBB Group :: FI Theme
All times are GMT